<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcyhal__i2c__cfg__t" kind="struct" language="C++" prot="public">
    <compoundname>cyhal_i2c_cfg_t</compoundname>
    <includes local="no">cyhal_i2c.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcyhal__i2c__cfg__t_1a734b40ed68843e48a0b2586e3fb58fcb" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cyhal_i2c_cfg_t::is_slave</definition>
        <argsstring />
        <name>is_slave</name>
        <briefdescription>
<para>Operates as a slave when set to (<bold>true</bold>), else as a master (<bold>false</bold>) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" bodystart="160" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" line="160" />
      </memberdef>
      <memberdef id="structcyhal__i2c__cfg__t_1a7789fe25fd94e1ba74c7312f85fdb4cd" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cyhal_i2c_cfg_t::address</definition>
        <argsstring />
        <name>address</name>
        <briefdescription>
<para>Address of this slave resource (7-bit), should be set to 0 for master. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" bodystart="161" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" line="161" />
      </memberdef>
      <memberdef id="structcyhal__i2c__cfg__t_1a4bc56f48688bf67f70d721fd7d94c16a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_i2c_cfg_t::frequencyhal_hz</definition>
        <argsstring />
        <name>frequencyhal_hz</name>
        <briefdescription>
<para>Frequency that the I2C bus runs at (I2C data rate in bits per second) <linebreak />
 Refer to the device datasheet for the supported I2C data rates. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" bodystart="162" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" line="162" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Initial I2C configuration. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="164" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" bodystart="158" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" line="159" />
    <listofallmembers>
      <member prot="public" refid="structcyhal__i2c__cfg__t_1a7789fe25fd94e1ba74c7312f85fdb4cd" virt="non-virtual"><scope>cyhal_i2c_cfg_t</scope><name>address</name></member>
      <member prot="public" refid="structcyhal__i2c__cfg__t_1a4bc56f48688bf67f70d721fd7d94c16a" virt="non-virtual"><scope>cyhal_i2c_cfg_t</scope><name>frequencyhal_hz</name></member>
      <member prot="public" refid="structcyhal__i2c__cfg__t_1a734b40ed68843e48a0b2586e3fb58fcb" virt="non-virtual"><scope>cyhal_i2c_cfg_t</scope><name>is_slave</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>